En ligne  

/v1/account/

Manages Access to the AppointmentTrader Account
GET

/v1/account/get_incoming_payment_session

#
Returns details of the incoming payment session and information on whether it has been completed or is still pending.

Paramètres

NomTypeObligatoireValeur par défautDescription
uniquePaymentSessionID string Oui — unique session id returned by /v1/account/set_start_incoming_payment_session
Exemple de requête (cURL)
curl --get \
  'https://fr.appointmenttrader.com/v1/account/get_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'uniquePaymentSessionID={{uniquePaymentSessionID}}'

Retour

JSON
See the shared response schema and synthetic example.
Champs de réponse
ChampTypeObligatoireDescription
$account_get_incoming_payment_session_Response Oui
$.oneOf[0] Oui
$.oneOf[0].allOf[0]object Oui
$.oneOf[0].allOf[0].RequestUserAliasstring Oui
$.oneOf[0].allOf[0].RequestPathstring | null Oui
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Oui
$.oneOf[0].allOf[0].ResponseCodeinteger Oui
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage Non
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage Non
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring Non
$.oneOf[0].allOf[1]object Oui
$.oneOf[0].allOf[1].Payloadobject Oui
$.oneOf[0].allOf[1].Payload.Namestring Oui
$.oneOf[0].allOf[1].Payload.MetaInformationarray Oui
$.oneOf[0].allOf[1].Payload.MetaInformation[]string Non
$.oneOf[0].allOf[1].Payload.KeyValueListarray Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[]object Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] Oui
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray Oui
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string Non
$.oneOf[1]object Oui
$.oneOf[1].RequestUserAliasstring Oui
$.oneOf[1].RequestPathstring | null Oui
$.oneOf[1].RequestStatus = "Failed" Oui
$.oneOf[1].ResponseCodeinteger Oui
$.oneOf[1].ResponseMessageAPIResponseMessage Oui
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Oui
$.oneOf[1].ResponseMessage.oneOf[1]array Oui
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage Non
$.oneOf[1].ResponseMessage.oneOf[2]object Oui
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage Non
$.oneOf[1].RequestImpersonatedByUserAliasstring Non
Exemple de réponse
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Documentation du point de terminaison lisible par machine
GET

/v1/account/get_ledger

#
Returns paginated ledger entries for one account owned by the acting API user. Admin tools should access another user's ledger through the dispatcher impersonationUserAlias parameter; this endpoint still validates the account against the effective API user.

Paramètres

NomTypeObligatoireValeur par défautDescription
accountID string Oui — Account ID owned by the acting API user.
pageNumber int Non 0 Zero-based page number.
pageLength int Non 50 Number of ledger rows to return, capped at 200.
Exemple de requête (cURL)
curl --get \
  'https://fr.appointmenttrader.com/v1/account/get_ledger' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'accountID={{accountID}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'pageLength={{pageLength}}'

Retour

JSON
See the shared response schema and synthetic example.
Champs de réponse
ChampTypeObligatoireDescription
$account_get_ledger_Response Oui
$.oneOf[0] Oui
$.oneOf[0].allOf[0]object Oui
$.oneOf[0].allOf[0].RequestUserAliasstring Oui
$.oneOf[0].allOf[0].RequestPathstring | null Oui
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Oui
$.oneOf[0].allOf[0].ResponseCodeinteger Oui
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage Non
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage Non
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring Non
$.oneOf[0].allOf[1]object Oui
$.oneOf[0].allOf[1].Payloadobject Oui
$.oneOf[0].allOf[1].Payload.Accountobject Oui
$.oneOf[0].allOf[1].Payload.Account.Currencystring Oui
$.oneOf[0].allOf[1].Payload.Account.CurrencySymbolstring Oui
$.oneOf[0].allOf[1].Payload.Account.CreatedDatestring Oui
$.oneOf[0].allOf[1].Payload.Account.LastUpdateDatestring Oui
$.oneOf[0].allOf[1].Payload.Account.Namestring Oui
$.oneOf[0].allOf[1].Payload.Account.Descriptionstring Oui
$.oneOf[0].allOf[1].Payload.Account.IDDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Account.ATUser_IDDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimitDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPointsDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimitDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccountDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Account.IsDefaultDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccountDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalanceDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Account.PointsBalanceDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledgerarray Oui
$.oneOf[0].allOf[1].Payload.Ledger[]object Non
$.oneOf[0].allOf[1].Payload.Ledger[].CreatedDatestring Oui
$.oneOf[0].allOf[1].Payload.Ledger[].LastUpdateDatestring Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Namestring Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Descriptionstring Oui
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationObjectstring OuiStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].IDDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmountDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmountDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalanceDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalanceDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0]DatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0]DatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0]DatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID Oui
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0]DatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID Oui
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[0]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL Oui
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[0]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject OuiStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[0]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject OuiStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[0]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject OuiStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[0]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject OuiStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[0]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction OuiStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[0]string Oui
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Ledger[].TransactionTypestring ["DEBIT","CREDIT"] Oui
$.oneOf[0].allOf[1].Payload.Pageobject Oui
$.oneOf[0].allOf[1].Payload.Page.PageNumberinteger Oui
$.oneOf[0].allOf[1].Payload.Page.PageLengthinteger Oui
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber Oui
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber Oui
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[1]null Oui
$.oneOf[0].allOf[1].Payload.Page.HasMoreboolean Oui
$.oneOf[1]object Oui
$.oneOf[1].RequestUserAliasstring Oui
$.oneOf[1].RequestPathstring | null Oui
$.oneOf[1].RequestStatus = "Failed" Oui
$.oneOf[1].ResponseCodeinteger Oui
$.oneOf[1].ResponseMessageAPIResponseMessage Oui
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Oui
$.oneOf[1].ResponseMessage.oneOf[1]array Oui
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage Non
$.oneOf[1].ResponseMessage.oneOf[2]object Oui
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage Non
$.oneOf[1].RequestImpersonatedByUserAliasstring Non
Exemple de réponse
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_ledger",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Account": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "Ledger": [],
        "Page": {
            "PageNumber": 0,
            "PageLength": 0,
            "NextPageNumber": 0,
            "PreviousPageNumber": 0,
            "HasMore": false
        }
    }
}
Documentation du point de terminaison lisible par machine
GET

/v1/account/get_list

#
Returns all available user accounts including their balances and if applicable credit limits in the smallest possible currency unit

Paramètres

NomTypeObligatoireValeur par défautDescription
searchFilter string Non "" filter criteria
includeDepositAccount bool Non false defines if deposit account should be return
pageSize int Non 50 Defines how many results will be return per request
pageNumber int Non 0 Defines which page should be returned
includeCorporateAccounts bool Non false Admin-only flag to include corporate accounts owned by the inspected user.
includeHiddenAccounts bool Non false Admin-only flag to include hidden accounts owned by the inspected user.
Exemple de requête (cURL)
curl --get \
  'https://fr.appointmenttrader.com/v1/account/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'includeDepositAccount={{includeDepositAccount}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'includeCorporateAccounts={{includeCorporateAccounts}}' \
  --data-urlencode 'includeHiddenAccounts={{includeHiddenAccounts}}'

Retour

JSON
See the shared response schema and synthetic example.
Champs de réponse
ChampTypeObligatoireDescription
$account_get_list_Response Oui
$.oneOf[0] Oui
$.oneOf[0].allOf[0]object Oui
$.oneOf[0].allOf[0].RequestUserAliasstring Oui
$.oneOf[0].allOf[0].RequestPathstring | null Oui
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Oui
$.oneOf[0].allOf[0].ResponseCodeinteger Oui
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage Non
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage Non
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring Non
$.oneOf[0].allOf[1]object Oui
$.oneOf[0].allOf[1].Payloadobject Oui
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" Oui
$.oneOf[0].allOf[1].Payload.ResponseBodyobject Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string Non
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object Non
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNamestring Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountDescriptionstring Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencystring Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencySymbolstring Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNameAndBalancestring Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIDDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalanceDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalanceDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimitDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimitDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporateDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailableCurrencyBalancenumber Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailablePointsBalancenumber Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray Oui
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string Non
$.oneOf[1]object Oui
$.oneOf[1].RequestUserAliasstring Oui
$.oneOf[1].RequestPathstring | null Oui
$.oneOf[1].RequestStatus = "Failed" Oui
$.oneOf[1].ResponseCodeinteger Oui
$.oneOf[1].ResponseMessageAPIResponseMessage Oui
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Oui
$.oneOf[1].ResponseMessage.oneOf[1]array Oui
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage Non
$.oneOf[1].ResponseMessage.oneOf[2]object Oui
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage Non
$.oneOf[1].RequestImpersonatedByUserAliasstring Non
Exemple de réponse
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
Documentation du point de terminaison lisible par machine
POST

/v1/account/set_start_incoming_payment_session

#
Creates an incoming payments session which will be credited to API users main account. The gross amount will be discounted, and the discounted expected payment will be returned

Paramètres

NomTypeObligatoireValeur par défautDescription
paymentType string Oui — Type of payment used
grossAmount int Oui — Amount that shall be received by the transaction
transactionReferenceID string Oui — this reference number can be used to avoid creating new payments sessions for the same checkout flow, if an active payments session for this transactionReferenceID exists the ExpiryTime will extended by the payment types sessionLifetime
transactionDescription string Oui — this description will reflect on the users account detailing what the charge was for.
isWritingRequest bool Non false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
Exemple de requête (cURL)
curl --request POST \
  'https://fr.appointmenttrader.com/v1/account/set_start_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'paymentType={{paymentType}}' \
  --data-urlencode 'grossAmount={{grossAmount}}' \
  --data-urlencode 'transactionReferenceID={{transactionReferenceID}}' \
  --data-urlencode 'transactionDescription={{transactionDescription}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

Retour

JSON
See the shared response schema and synthetic example.
Champs de réponse
ChampTypeObligatoireDescription
$account_set_start_incoming_payment_session_Response Oui
$.oneOf[0] Oui
$.oneOf[0].allOf[0]object Oui
$.oneOf[0].allOf[0].RequestUserAliasstring Oui
$.oneOf[0].allOf[0].RequestPathstring | null Oui
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Oui
$.oneOf[0].allOf[0].ResponseCodeinteger Oui
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage Non
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Oui
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage Non
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring Non
$.oneOf[0].allOf[1]object Oui
$.oneOf[0].allOf[1].Payloadobject Oui
$.oneOf[0].allOf[1].Payload.Namestring Oui
$.oneOf[0].allOf[1].Payload.MetaInformationarray Oui
$.oneOf[0].allOf[1].Payload.MetaInformation[]string Non
$.oneOf[0].allOf[1].Payload.KeyValueListarray Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[]object Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger OuiInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue Non
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null Oui
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] Oui
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray Oui
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string Non
$.oneOf[1]object Oui
$.oneOf[1].RequestUserAliasstring Oui
$.oneOf[1].RequestPathstring | null Oui
$.oneOf[1].RequestStatus = "Failed" Oui
$.oneOf[1].ResponseCodeinteger Oui
$.oneOf[1].ResponseMessageAPIResponseMessage Oui
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Oui
$.oneOf[1].ResponseMessage.oneOf[1]array Oui
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage Non
$.oneOf[1].ResponseMessage.oneOf[2]object Oui
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage Non
$.oneOf[1].RequestImpersonatedByUserAliasstring Non
Exemple de réponse
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/set_start_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Documentation du point de terminaison lisible par machine